Bug 690956 - Tomcat Logging: Configuration tab should show the message which is logged to agent log.
Tomcat Logging: Configuration tab should show the message which is logged to ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-25 19:15 EDT by Ondřej Žižka
Modified: 2013-09-01 15:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:22:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2011-03-25 19:15:45 EDT
STR:

1) Install Tomcat, configure JMX, inventorize
2) Go to Tomcat -> Tomcat Server JVM -> Logging -> Configuration tab
3) It shows "This resource's configuration has not yet been initialized. "
4) Agent's logs a WARNing:

   Configuration management is currently disabled for the ResourceType[id=0, category=Service, name=java.util.logging, plugin=Tomcat] Resource with key [java.util.logging:type=Logging] - it can be enabled in the Resource's Inventory > Connection tab.

I think the Config tab should show the same message. Best with Tomcat-specific format:

  Configuration management is currently disabled for this Tomcat instance.
  It can be enabled in the Resource's Inventory > Connection tab.


---------------------------------------------------------------

2011-03-25 19:08:07,765 WARN  [ConfigurationManager.threadpool-1] (rhq.core.pc.configuration.ConfigurationCheckExecutor)- Unable to check for updated configuration
java.lang.RuntimeException: Configuration management is currently disabled for the ResourceType[id=0, category=Service, name=java.util.logging, plugin=Tomcat] Resource with key [java.util.logging:type=Logging] - it can be enabled in the Resource's Inventory > Connection tab.
        at org.rhq.plugins.jmx.JavaUtilLoggingResourceComponent.loadResourceConfiguration(JavaUtilLoggingResourceComponent.java:49)
        at sun.reflect.GeneratedMethodAccessor100.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:662)
Comment 1 Ondřej Žižka 2011-03-25 19:18:52 EDT
Actually, I have JMX configured properly, but still get this message.
How is it supposed to be configured?
Comment 2 Charles Crouch 2011-10-12 11:17:09 EDT
I think this is an enhancement to improve the message when Configuration is not enabled.

Before that is implemented we should look to add a FAQ to the docs indicating if people see this message, ""This resource's configuration has not yet been initialized. ", or the one added for BZ-728292, that they go and check that configuration is enabled in the Resource's Inventory > Connection tab.
Comment 3 Charles Crouch 2011-10-12 11:17:42 EDT
Assigning to Deon to add the FAQ entry, assuming we dont have one already.
Comment 4 Deon Ballard 2012-06-28 14:23:51 EDT
Yep, in the FAQ since 3.0. Here's the 3.1 link:
http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/Frequently_Asked_Questions/index.html#id2738366
Comment 5 Heiko W. Rupp 2013-09-01 15:22:29 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.